JUCE: dsp::ProcessorState Struct Reference

JUCE

Public Types | List of all members
dsp::ProcessorState Struct Reference
juce_dsp » processors

This is a handy base class for the state of a processor (such as parameter values) which is typically shared among several processors. More...

`#include <juce_ProcessContext.h>`

Inheritance diagram for dsp::ProcessorState:

## Public Types
using | Ptr = ReferenceCountedObjectPtr< ProcessorState >
| The ProcessorState structure is ref-counted, so this is a handy type that can be used as a pointer to one. More...

## Additional Inherited Members
Public Member Functions inherited from ReferenceCountedObject
void | incReferenceCount () noexcept
| Increments the object's reference count. More...
void | decReferenceCount () noexcept
| Decreases the object's reference count. More...
bool | decReferenceCountWithoutDeleting () noexcept
| Decreases the object's reference count. More...
int | getReferenceCount () const noexcept
| Returns the object's current reference count. More...
Protected Member Functions inherited from ReferenceCountedObject
| ReferenceCountedObject ()=default
| Creates the reference-counted object (with an initial ref count of zero). More...
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count. More...
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count. More...
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count. More...
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count. More...
virtual | ~ReferenceCountedObject ()
| Destructor. More...
void | resetReferenceCount () noexcept
| Resets the reference count to zero without deleting the object. More...

## Detailed Description

This is a handy base class for the state of a processor (such as parameter values) which is typically shared among several processors.

This is useful for multi-mono filters which share the same state among several mono processors.

## Member Typedef Documentation

## ◆ Ptr

using dsp::ProcessorState::Ptr = ReferenceCountedObjectPtr<ProcessorState>

The ProcessorState structure is ref-counted, so this is a handy type that can be used as a pointer to one.

The documentation for this struct was generated from the following file:

- juce_ProcessContext.h